# -*- coding: utf-8 -*-
import requests
import json
from time import sleep

# トークン
token = '------ トークンを入力する ------'

# LEDのON/OFF制御関数
def setLed(my_token, onoff):
    url = "https://us.wio.seeed.io/v1/node/GenericDOutD1/onoff/"
    url += str(onoff)
    url += "?access_token=" + my_token
    r = requests.post(url)
    data = r.json()
    try:
        result = data["result"]
    except:
        result = None
    return result

while 1:
    print("plese iput command(0:off, 1:on, 9:exit) :", end='');
    cmd = input()
    if cmd == "0":
        r = setLed(token, 0)
    elif cmd == "1":
        r = setLed(token, 1)
    elif cmd == '9':
        print('exit...')
        break
    else:
        print('error')

