# -*- coding: utf-8 -*-
import requests
import json
from time import sleep

# トークン
token1 = '04726ef159609089e52c89c55b9c5a71'
token2 = 'f0f7e685afd3d9d8174ff950c13eff91'

# 明るさの取得関数
def getLux(my_token):
    url = "https://us.wio.seeed.io/v1/node/GroveLuminanceA0/luminance?access_token=" + my_token
    headers = {"content-type": "application/json"}
    r = requests.get(url, headers=headers)
    data = r.json()
    try:
        lux = data["lux"]
    except:
        lux = None
    return lux

# LEDのON/OFF制御関数
def setLed(my_token, onoff):
    url = "https://us.wio.seeed.io/v1/node/GenericDOutD1/onoff/"
    url += str(onoff)
    url += "?access_token=" + my_token
    r = requests.post(url)
    data = r.json()
    try:
        result = data["result"]
    except:
        result = None
    return result


print("Light Monitoring System")
while 1:
    lux = getLux(token1)
    print(str(lux))

    if not lux == None:
        if lux < 200:
            setLed(token2, 1)
        else:
            setLed(token2, 0)

    sleep(5)