# -*- coding: utf-8 -*-
import requests
import json
from time import sleep

# トークン
token = '------ トークンを入力する ------'

# 明るさの取得関数
def getLux(my_token):
    url = "https://us.wio.seeed.io/v1/node/GroveLuminanceA0/luminance?access_token=" + my_token
    headers = {"content-type": "application/json"}
    r = requests.get(url, headers=headers)
    data = r.json()
    try:
        lux = data["lux"]
    except:
        lux = None
    return lux

while 1:
    l = getLux(token)
    if not l == None:
        print('lux:' + str(l))
    else:
        print('*', end='')
    sleep(10)        # 10sec待つ