# -*- coding: utf-8 -*-
import requests
import json
from time import sleep

# トークン
token = '------ トークンを入力する ------'


# 温度（摂氏）の取得
def getTempreture(my_token):
    url = "https://us.wio.seeed.io/v1/node/GroveTempHumD0/temperature?access_token=" + my_token
    headers = {"content-type": "application/json"}
    r = requests.get(url, headers=headers)
    data = r.json()
    try:
        degree = data["celsius_degree"]
    except:
        degree = None
    return degree

# 湿度の取得
def getHumidity(my_token):
    url = "https://us.wio.seeed.io/v1/node/GroveTempHumD0/humidity?access_token=" + my_token
    headers = {"content-type": "application/json"}
    r = requests.get(url, headers=headers)
    data = r.json()
    try:
        humidity = data["humidity"]
    except:
        humidity = None
    return humidity

t = getTempreture(token)
print(str(t) + '℃')
h = getHumidity(token)
print(str(h) + '%')