# -*- coding: utf-8 -*-
import requests
import json
import ambient
from time import sleep

# トークン
token = '------ トークンを入力する ------'


# 温度（摂氏）の取得
def getTempreture(my_token):
    url = "https://us.wio.seeed.io/v1/node/GroveTempHumD0/temperature?access_token=" + my_token
    headers = {"content-type": "application/json"}
    r = requests.get(url, headers=headers)
    data = r.json()
    try:
        degree = data["celsius_degree"]
    except:
        degree = None
    return degree

# 湿度の取得
def getHumidity(my_token):
    url = "https://us.wio.seeed.io/v1/node/GroveTempHumD0/humidity?access_token=" + my_token
    headers = {"content-type": "application/json"}
    r = requests.get(url, headers=headers)
    data = r.json()
    try:
        humidity = data["humidity"]
    except:
        humidity = None
    return humidity


while 1:
    # ambientにデータ送信
    t = getTempreture(token)
    h = getHumidity(token)
    print(str(t) + '℃')
    print(str(h) + '%')

    # ambientにデータ送信
    if not t == None and not h == None:
        ambi = ambient.Ambient(______, '************')
        r = ambi.send({'d1' : t, 'd2' : h})
        print("push data... -> ambient")
    else:
        print('fail')

    sleep(10)        # 10sec待つ
