# -*- coding: utf-8 -*-
import requests
import json
from time import sleep

# トークン
token = 'f0f7e685afd3d9d8174ff950c13eff91'

# LEDのON/OFF制御関数
def setLed(my_token, onoff):
    url = "https://us.wio.seeed.io/v1/node/GenericDOutD1/onoff/"
    url += str(onoff)
    url += "?access_token=" + my_token
    r = requests.post(url)
    data = r.json()
    try:
        result = data["result"]
    except:
        result = None
    return result

# LEDのHighパルス制御関数
def setLedHighPulse(my_token, high_time_ms):
    url = "https://us.wio.seeed.io/v1/node/GenericDOutD1/high_pulse/"
    url += str(high_time_ms)
    url += "?access_token=" + my_token
    r = requests.post(url)
    data = r.json()
    try:
        result = data["result"]
    except:
        result = None
    return result

while 1:
    print("plese iput high pluse time(ms), [exit:input 0]:", end='');
    ms = input()
    if int(ms) == 0:
        print('exit...')
        break

    r = setLedHighPulse(token, int(ms))
    if r == None:
        print('fail')
